#attachments {
  margin-top: 20px;
}

#attachments .drop-zone {
  border: 3px dashed #dee5e7;
  width: 100%;
  min-height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

#attachments .drop-zone > input {
  display: none;
}

#attachments .drop-zone.active {
  border-color: #1E90FF;
}

.attachments-listing {
  list-style: none;
  padding: 0;
}

.attachments-listing li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px;
  border-bottom: 1px solid #dee5e7;
}

.attachments-listing li > div:first-child {

}

.attachments-listing li:nth-child(2n - 1) {
  background-color: #FAFAFA;
}

.attachments-listing li:last-child {
  border-bottom: none;
}

.attachment-metadata {
  font-size: 0.9em;
  color: #888;
}

.building-menu {
  display: none;
  background: #ffffff;
  border: 1px solid #dee5e7;
  box-shadow: 1px 1px 3px #999;
  position: absolute;
  max-height: 120px;
  overflow: auto;
}

.building-menu ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

.building-menu ul li.filtered {
  display: none;
}

.no-matching-buildings {
  margin: 0;
  padding: 6px 12px;
  color: #999;
}

.building-menu button {
  width: 100%;
  text-align: left;
  background: transparent;
  border: none;
  padding: 6px;
  display: flex;
  cursor: pointer;
}

.building-menu button:hover {
  background: #F3F3F3;
}

.building-menu button:focus {
    background: #F3FAFF;
}

.building-menu button div {
  flex: 1 1 33%;
  max-width: 33%;
}

.building-menu button div:first-child {
    font-weight: bold;
}

.building-menu.on {
  display: block;
}

@media screen and (max-width: 600px) {
  .building-menu button {
    flex-direction: column;
  }
  .building-menu button div {
    flex: 1 1 100%;
    max-width: fit-content;
  }
}

.attachment-too-large-warning {
    color: tomato;
}

.attachment-size-info {
    margin-top: 10px;
    color: #444;
}